[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH 2/2] Load gntdev and evtchn if they're modular.



Signed-off-by: Jeremy Fitzhardinge <jeremy.fitzhardinge@xxxxxxxxxx>


diff -r cfb49fe940fd -r 81f75ed45ec2 tools/hotplug/Linux/init.d/xencommons
--- a/tools/hotplug/Linux/init.d/xencommons     Tue Aug 16 16:56:16 2011 -0700
+++ b/tools/hotplug/Linux/init.d/xencommons     Tue Aug 16 17:05:18 2011 -0700
@@ -29,12 +29,18 @@
 XENCONSOLED_PIDFILE=/var/run/xenconsoled.pid
 shopt -s extglob
 
-if [ "x$1" = xstart -a -d /proc/xen -a \
-    ! -f /proc/xen/capabilities ] && \
-    ! grep -qw '^xenfs' /proc/mounts; then
-       mount -t xenfs xenfs /proc/xen
+[ -d /proc/xen ] || exit 0     # Xen not present; exit quietly
+
+if [ "x$1" = xstart ]; then
+       # Mount /proc/xen if needed
+       [ -f /proc/xen/capabilities ] || mount -t xenfs xenfs /proc/xen
+
+       # Make sure evtchn and gntdev are loaded if present
+       grep -q "xen/evtchn" /proc/misc || modprobe xen-evtchn
+       grep -q "xen/gntdev" /proc/misc || modprobe xen-gntdev
 fi
 
+# Done here if this isn't a control domain
 if ! grep -q "control_d" /proc/xen/capabilities ; then
        exit 0
 fi




_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.